#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.5.0.1
visibility:           public
id:                   typst-0.5.0.1-E5Ldk9a7K0G5zKZDgUvxcc
key:                  typst-0.5.0.1-E5Ldk9a7K0G5zKZDgUvxcc
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  31d06c9d86e5295b3aa29da74dba1918
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.2.8/site-local/typst-0.5.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/typst-0.5.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5.0.1-E5Ldk9a7K0G5zKZDgUvxcc
depends:
    aeson-2.1.2.1-9T6l6SxZl5u1C3PaFHxalW array-0.5.4.0 base-4.16.4.0
    bytestring-0.11.4.0 cassava-0.5.3.2-JjbzoelGjD7AZ50xeYtra4
    containers-0.6.5.1 directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.4-8Nlgi3VEmx75taH2JA0XAn parsec-3.1.15.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-GVtzYoUSlJyBUw9nALJHnM
    scientific-0.3.7.0-JDywD8dnuxJJkMv2HmTQaQ text-1.2.5.0
    time-1.11.1.1 toml-parser-1.3.1.3-9zp69IOI0ogAmA2MBrdDDQ
    typst-symbols-0.1.5-88gdpZCk9hecvC3Xgy0SF
    vector-0.13.1.0-JX40x5KeA95953did9SvPW
    xml-conduit-1.9.1.4-13ZtI7pQqcFA5a3C2i1mv1
    yaml-0.11.11.2-9GiPgSSCgBsIWZcWfdWgy5

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

